RegisterNetEvent('pp-weedshoprv2:client:CreateBoxes')
AddEventHandler('pp-weedshoprv2:client:CreateBoxes', function()
  print("SPAWN BOXES")
  for k, v in pairs(Config.Box.Drugs.Locations) do
      exports['qb-target']:AddBoxZone("DrugBox"..k, v['coords'], v["length"], v["width"], { 
          name = "DB"..k,
          heading=v["heading"],
          debugPoly = false,
          minZ=v["minz"],
          maxZ=v["maxz"],
      }, {
      options = {
          {
            icon = 'fas fa-treasure-chest',
            label = Lang:t('target.box'),
            item = 'drill',
            action = function(entity)
              Loot(2, 'drug', "DrugBox"..k, k)
            end,
          }
      },
      distance = 2.5,
      })
  end
  for k, v in pairs(Config.Box.Ammo.Locations) do
      exports['qb-target']:AddBoxZone("AmmoBox"..k, v['coords'], v["length"], v["width"], {
          name = "AB"..k,
          heading=v["heading"],
          debugPoly = false, 
          minZ=v["minz"],
          maxZ=v["maxz"],
          }, {
      options = {
      {
          num = 1,
          icon = 'fas fa-treasure-chest',
          label = Lang:t('target.box'),
          item = 'drill',
          action = function(entity)
            Loot(2, 'ammo', "AmmoBox"..k, k)
          end,
          }
      },
      distance = 2.5,
      })
  end
  for k, v in pairs(Config.Box.Weapons.Locations) do
      exports['qb-target']:AddBoxZone("WeaponsBox"..k, v['coords'], v["length"], v["width"], { 
          name = "WB"..k,
          heading=v["heading"],
          debugPoly = false,
          minZ=v["minz"],
          maxZ=v["maxz"],
      }, {
      options = {
      {
          num = 1,
          icon = 'fas fa-treasure-chest',
          label = Lang:t('target.box'),
          item = 'drill',
          action = function(entity)
            Loot(2, 'weapon', "WeaponsBox"..k, k)
          end,
          }
      },
      distance = 2.5,
      })
  end
  for k, v in pairs(Config.Box.Consumables.Locations) do
      exports['qb-target']:AddBoxZone("ConsumablesBox"..k, v['coords'], v["length"], v["width"], { 
          name = "CB"..k,
          heading=v["heading"],
          debugPoly = false,
          minZ=v["minz"],
          maxZ=v["maxz"],
      }, {
      options = {
      {
          num = 1,
          icon = 'fas fa-treasure-chest',
          label = Lang:t('target.box'),
          item = 'drill',
          action = function(entity)
            Loot(2, 'consumables', "ConsumablesBox"..k, k)
          end,
          }
      },
      distance = 2.5,
      })
  end 
end)

RegisterNetEvent('pp-weedshoprv2:client:HackLaptop')
AddEventHandler('pp-weedshoprv2:client:HackLaptop', function()
    QBCore.Functions.Notify('Stop the store cameras','success', 3500)
  exports['qb-target']:AddBoxZone("hacklaptop", Config.HackLaptop['coords'], Config.HackLaptop["length"], Config.HackLaptop["width"], {
  name = "hacklaptop1",
  heading = Config.HackLaptop["heading"],
  debugPoly = Config.HackLaptop.debugPoly,
  minZ= Config.HackLaptop["minz"],
  maxZ= Config.HackLaptop["maxz"],
}, {
  options = {
    {
      icon = 'fas fa-laptop',
      label = Lang:t('target.laptop'),
      item = 'trojan_usb',
      action = function(entity)
        exports['ps-ui']:Scrambler(function(success)
          if success then
              print("success")
              StartRobbery()
          else
            print("fail")
          end
      end,"numeric", 60, 0) -- Type (alphabet, numeric, alphanumeric, greek, braille, runes), Time (Seconds), Mirrored (0: Normal, 1: Normal + Mirrored 2: Mirrored only )
    end
    }
  },
  distance = 2.5, 
})
end)

RegisterNetEvent('pp-weedshoprv2:client:GetSecretInfo')
AddEventHandler('pp-weedshoprv2:client:GetSecretInfo', function ()
  exports['qb-target']:AddBoxZone("secretinfo", Config.Carrier.SecretInfo['coords'], Config.Carrier.SecretInfo["length"], Config.Carrier.SecretInfo["width"], {
  name = "secretinfo",
  heading = Config.Carrier.SecretInfo["heading"],
  debugPoly = Config.Carrier.SecretInfo.debugPoly,
  minZ= Config.Carrier.SecretInfo["minz"],
  maxZ= Config.Carrier.SecretInfo["maxz"],
}, {
  options = {
    {
      icon = 'fas fa-laptop',
      label = Lang:t('target.laptop'),
      item = 'trojan_usb',
      action = function(entity)
        exports['ps-ui']:Scrambler(function(success)
          if success then
            print("success")
            TriggerServerEvent('pp-weedshoprv2:server:rewardItem', 'item', 'lawyerpass', 1, 'add')
            exports['qb-target']:RemoveZone("secretinfo")
          else
            print("fail")
            end
          end)
      end,"numeric", 60, 0 -- Type (alphabet, numeric, alphanumeric, greek, braille, runes), Time (Seconds), Mirrored (0: Normal, 1: Normal + Mirrored 2: Mirrored only )

    }
  },
  distance = 2.5, 
})
end)

local function Test1()
    QBCore.Functions.TriggerCallback('pp-weedshoprv2:server:getCops', function(cops)
      if cops >= Config.Carrier.RequiredCops then
        if Config.Carrier.OnlyAtNight then
          if isNight() then
            local alert = Config.PoliceAlerts
            if alert == 'default' then
              TriggerServerEvent('police:server:policeAlert', 'Suspicious Activity')
            elseif alert == 'ps-dispatch' then
              exports['ps-dispatch']:SuspiciousActivity()
            end
            TriggerServerEvent('pp-weedshoprv2:server:rewardItem', 'item', 'trojan_usb', 1, 'add')
            TriggerEvent('pp-weedshoprv2:client:HackLaptop')
          else
            QBCore.Functions.Notify(Lang:t('error.night'), 'error', 3500)
          end
        else
          local hasItem = QBCore.Functions.HasItem('trojan_usb')
          local alert = Config.PoliceAlerts
          if alert == 'default' then
            TriggerServerEvent('police:server:policeAlert', 'Suspicious Activity')
          elseif alert == 'ps-dispatch' then
            exports['ps-dispatch']:SuspiciousActivity()
          end
          if hasItem then
            TriggerServerEvent('pp-weedshoprv2:server:rewardItem', 'item', 'trojan_usb', 1, 'add')
          end
          TriggerEvent('pp-weedshoprv2:client:HackLaptop')
        end
      else
        QBCore.Functions.Notify(Lang:t('error.minimum_police', {value = Config.Carrier.RequiredCops}), 'error')
      end
  end)
end

RegisterNetEvent('pp-weedshoprv2:client:AddStartPedTarget')
AddEventHandler('pp-weedshoprv2:client:AddStartPedTarget', function(n1)
  exports['qb-target']:AddTargetEntity(n1, {
    options = { 
      {
        num = 1,
        icon = 'fa-solid fa-shield-halved',
        label = Lang:t('target.giveitem'),
        item = 'lawyerpass',
        action = function(entity)
          StopHeist()
          TriggerServerEvent('pp-weedshoprv2:server:rewardItem', 'money', 'money', 10000, 'add')
          TriggerServerEvent('pp-weedshoprv2:server:rewardItem', 'item', 'lawyerpass', 1, 'remove')
          QBCore.Functions.Notify(Lang:t('info.thanks'), 'success', 4000)
        end,
        canInteract = function(entity)
          if IsPedAPlayer(entity) then return false end
          if not Started then return false end
          return true
        end,
      },
      {
        num = 2,
        icon = 'fas fa-print-search',
        label = Lang:t('Start Heist'),
        targeticon = 'fa-solid fa-user-secret',
        action = function()
          Test1()
        end,
        canInteract = function(entity)
          if IsPedAPlayer(entity) then return false end
          return true
        end,
      }
    },
    distance = 2.0, -- This is the distance for you to be at for the target to turn blue, this is in GTA units and has to be a float value
  })
end)
