    QBCore = exports['qb-core']:GetCoreObject()

if Config.EnableTestCommand then
    QBCore.Commands.Add('testrobbery', 'Ammunation Robbery Test Command', {}, false, function(source)
        TriggerClientEvent('pp-weedshoprv2:client:startrobbery', source)
    end, 'god')
    QBCore.Commands.Add('testguards', 'Carrier Spawn Guards Test Command', {}, false, function(source)
        TriggerClientEvent('pp-weedshoprv2:client:spawnGuards', source)
    end, 'god')
    QBCore.Commands.Add('testboxes', 'Create Target Box', {}, false, function(source)
        TriggerClientEvent('pp-weedshoprv2:client:CreateBoxes', source)
    end, 'god')
    QBCore.Commands.Add('testlaptop', 'Start Laptop Hack', {}, false, function(source)
        TriggerClientEvent('pp-weedshoprv2:client:HackLaptop', source)
    end, 'god')
    QBCore.Commands.Add('secretinfo', 'Start Secret Info Hack', {}, false, function(source)
        TriggerClientEvent('pp-weedshoprv2:client:GetSecretInfo', source)
    end, 'god')
    QBCore.Commands.Add('stopheist', 'Stop Carrier Robbery', {}, false, function(source)
        TriggerClientEvent('pp-weedshoprv2:client:Stopheist', source)
    end, 'god')
end

local cachedPoliceAmount = {}
QBCore.Functions.CreateCallback('pp-weedshoprv2:server:getCops', function(source, cb)
	local amount = 0
    for _, v in pairs(QBCore.Functions.GetQBPlayers()) do
        if (v.PlayerData.job.name == "police") and v.PlayerData.job.onduty then
            amount = amount + 1
        end
    end
    cachedPoliceAmount[source] = amount
    cb(amount)
end)

RegisterServerEvent('pp-weedshoprv2:server:SyncRobbery')
AddEventHandler('pp-weedshoprv2:server:SyncRobbery', function()
    TriggerClientEvent('pp-weedshoprv2:client:SyncRobbery', -1)
end)

RegisterServerEvent('pp-weedshoprv2:server:event')
AddEventHandler('pp-weedshoprv2:server:event', function(type, vIndex)
    -- if cachedPoliceAmount[source] >= Config.Carrier.RequiredCops then
        if type == 'drug' then
            Config.Box.Drugs.Locations[vIndex]["isOpened"] = true
            TriggerClientEvent('pp-weedshoprv2:client:setRegisterState', -1, "isOpened", true, vIndex, 'drug')
        elseif type == 'ammo' then
            Config.Box.Ammo.Locations[vIndex]["isOpened"] = true    
            TriggerClientEvent('pp-weedshoprv2:client:setRegisterState', -1, "isOpened", true, vIndex, 'ammo')
        elseif type == 'weapon' then
            Config.Box.Weapons.Locations[vIndex]["isOpened"] = true
            TriggerClientEvent('pp-weedshoprv2:client:setRegisterState', -1, "isOpened", true, vIndex, 'weapon')
        elseif type == 'consumables' then
            Config.Box.Consumables.Locations[vIndex]["isOpened"] = true
            TriggerClientEvent('pp-weedshoprv2:client:setRegisterState', -1, "isOpened", true, vIndex, 'consumables')
        end
    -- end
end)

RegisterServerEvent('pp-weedshoprv2:server:rewardItem')
AddEventHandler('pp-weedshoprv2:server:rewardItem', function(type, itemname, count, last)
    local Player = QBCore.Functions.GetPlayer(source)
    if type == 'item' then
        if last == 'add' then
            TriggerClientEvent('inventory:client:ItemBox', source, QBCore.Shared.Items[itemname], "add", count)
            Player.Functions.AddItem(itemname, count)
        elseif last == 'remove' then
            TriggerClientEvent('inventory:client:ItemBox', source, QBCore.Shared.Items[itemname], "remove", count)
            Player.Functions.RemoveItem(itemname, count)
        end
    elseif type == 'money' then
        if last == 'add' then
            Player.Functions.AddMoney('cash', count)
        elseif last == 'remove' then
            Player.Functions.RemoveMoney('cash', count)
        end
    end
end)
