QBCore = exports['qb-core']:GetCoreObject()

Started = false

Citizen.CreateThread(function()
    loadModel(Config.Peds.StartMissionPed['ped'])
    local StartPed = CreatePed(4, GetHashKey(Config.Peds.StartMissionPed['ped']), Config.Peds.StartMissionPed['coords'].x, Config.Peds.StartMissionPed['coords'].y, Config.Peds.StartMissionPed['coords'].z-1, Config.Peds.StartMissionPed['coords'].w, false, true)
    FreezeEntityPosition(StartPed, true)
    SetEntityInvincible(StartPed, true)
    SetBlockingOfNonTemporaryEvents(StartPed, true)
    TriggerEvent('pp-weedshoprv2:client:AddStartPedTarget', StartPed)
end)

RegisterNetEvent('pp-weedshoprv2:client:SyncRobbery')
AddEventHandler('pp-weedshoprv2:client:SyncRobbery', function()
    Started = not Started
end)

RegisterNetEvent('pp-weedshoprv2:client:setRegisterState', function(stateType, state, k, type)
    if type == 'drug' then
        Config.Box.Drugs.Locations[k][stateType] = state
    elseif type == 'ammo' then
        Config.Box.Ammo.Locations[k][stateType] = state 
    elseif type == 'weapon' then
        Config.Box.Weapons.Locations[k][stateType] = state
    elseif type == 'consumables' then
        Config.Box.Consumables.Locations[k][stateType] = state
    end
end)

RegisterNetEvent('pp-weedshoprv2:client:startrobbery')
AddEventHandler('pp-weedshoprv2:client:startrobbery', function()
    StartRobbery()
end)
RegisterNetEvent('pp-weedshoprv2:client:Stopheist')
AddEventHandler('pp-weedshoprv2:client:Stopheist', function()
    StopHeist()
end)

RegisterNetEvent('pp-weedshoprv2:client:spawnGuards')
AddEventHandler('pp-weedshoprv2:client:spawnGuards', function()
    SpawnGuards()
end)