Config = {}

Config.EnableTestCommand = true
Config.PoliceAlerts = 'default' -- default & ps-dispatch

Config.Carrier = {
    OnlyAtNight = false, -- If this is set to `true` you can only start the robbery at night
    RequiredCops = 0, -- Minimum police needed in server to start the robbery. Can be 0
    Vehicle = {
        ['model'] = 'baller5',
        ['coords'] = vector4(102.28, 64.37, 73.42, 70.9), -- Spawn Car Coords

        ['parking'] = {
        ['coords'] = vector3(156.61, -214.31, 54.27),
        ["length"] = 10,
        ["width"] = 13,
        ["heading"] = 340,
        ["minz"] = 53.27,
        ["maxz"] = 57.27,
        debugPoly = false,
        }
    },
    SecretInfo = {
        ['coords'] = vector3(147.34, -221.94, 54.28),
        ["length"] = 0.8,
        ["width"] = 1.0,
        ["heading"] = 339,
        ["minz"] = 50.88,
        ["maxz"] = 54.88,
        debugPoly = false,
    },
}

Config.Peds = {
    StartMissionPed = {
        ['ped'] = 's_m_y_westsec_01',
        ['coords'] = vector4(113.06, 50.14, 73.52, 358.98),
        Anim = {
            Dict = 'amb@world_human_leaning@female@wall@back@holding_elbow@idle_a',
            Name = 'idle_a',
        },
    },

    Guards = {
        Weapon = "WEAPON_PISTOL",
        {
            modelHash = 'u_m_y_smugmech_01',
            coords = vector4(157.09, -220.5, 54.28, 160.92),
        },
        {
            modelHash = 'u_m_y_smugmech_01',
            coords = vector4(147.63, -223.55, 54.28, 291.31),
        },
    }
}


Config.HackLaptop = {
    ['coords'] = vector3(124.72, -241.78, 53.36),
    ["length"] = 0.8,
    ["width"] = 0.5,
    ["heading"] = 70,
    ["minz"] = 50.76,
    ["maxz"] = 54.76,
    debugPoly =false,
}

Config.Box = {
    Drugs = { -- Config for all boxes containing drugs as loot
        LootTime = math.random(1000, 4000),
        Locations = {
            [1] = {
                ['coords'] = vector3(154.24, -223.02, 54.28),
                ["length"] = 1.0,
                ["width"] = 1.5,
                ["heading"] = 340,
                ["minz"] = 50.68,
                ["maxz"] = 54.68 ,
                ["isOpened"] = false,
                debugPoly =false,
            },
            [2] = {
                ['coords'] = vector3(156.27, -223.8, 54.28),
                ["length"] = 1.0,
                ["width"] = 1.5,
                ["heading"] = 340,
                ["minz"] = 50.68,
                ["maxz"] = 54.68,
                ["isOpened"] = false,
                debugPoly =false,
            },
            [3] = {
                ['coords'] = vector3(158.29, -224.5, 54.28),
                ["length"] = 1.0,
                ["width"] = 1.5,
                ["heading"] = 340,
                ["minz"] = 50.68,
                ["maxz"] = 54.68,
                ["isOpened"] = false,
                debugPoly =false,
            },
            [4] = {
                ['coords'] = vector3(154.0, -225.05, 54.28),
                ["length"] = 0.7,
                ["width"] = 0.7,
                ["heading"] = 343,
                ["minz"] = 51.28,
                ["maxz"] = 55.28,
                ["isOpened"] = false,
                debugPoly =false,
            },
            [5] = {
                ['coords'] = vector3(156.61, -226.03, 54.28),
                ["length"] = 0.7,
                ["width"] = 0.7,
                ["heading"] = 340,
                ["minz"] = 51.28,
                ["maxz"] = 55.28,
                ["isOpened"] = false,
                debugPoly =false,
            },
            [6] = {
                ['coords'] = vector3(156.12, -227.28, 54.28),
                ["length"] = 0.7,
                ["width"] = 0.7,
                ["heading"] = 340,
                ["minz"] = 51.28,
                ["maxz"] = 55.28,
                ["isOpened"] = false,
                debugPoly =false,
            },
            [7] = {
                ['coords'] = vector3(153.58, -226.2, 54.28),
                ["length"] = 0.7,
                ["width"] = 0.7,
                ["heading"] = 340,
                ["minz"] = 51.28,
                ["maxz"] = 55.28,
                ["isOpened"] = false,
                debugPoly =false,
            },
            [8] = {
                ['coords'] = vector3(154.82, -226.74, 54.28),
                ["length"] = 0.5,
                ["width"] = 1.0,
                ["heading"] = 340,
                ["minz"] = 50.48,
                ["maxz"] = 54.48,
                ["isOpened"] = false,
                debugPoly =false,
            },
            [10] = {
                ['coords'] = vector3(155.27, -225.43, 54.28),
                ["length"] = 0.5,
                ["width"] = 1.0,
                ["heading"] = 340,
                ["minz"] = 50.48,
                ["maxz"] = 54.48,
                ["isOpened"] = false,
                debugPoly =false,
            },
            [11] = {
                ['coords'] = vector3(158.26, -227.26, 54.28),
                ["length"] = 0.5,
                ["width"] = 1.5,
                ["heading"] = 70,
                ["minz"] = 50.48,
                ["maxz"] = 54.48,
                ["isOpened"] = false,
                debugPoly =false,
            },
            [12] = {
                ['coords'] = vector3(149.92, -225.54, 54.28),
                ["length"] = 0.5,
                ["width"] = 1.5,
                ["heading"] = 70,
                ["minz"] = 51.68,
                ["maxz"] = 55.68,
                ["isOpened"] = false,
                debugPoly =false,
            },
            [13] = {
                ['coords'] = vector3(159.92, -229.67, 54.28),
                ["length"] = 0.7,
                ["width"] = 2.3,
                ["heading"] = 70,
                ["minz"] = 52.08,
                ["maxz"] = 56.08,
                ["isOpened"] = false,
                debugPoly =false,
            },
            [14] = {
                ['coords'] = vector3(161.53, -225.43, 54.28),
                ["length"] = 0.7,
                ["width"] = 2.3,
                ["heading"] = 70,
                ["minz"] = 51.88,
                ["maxz"] = 55.88,
                ["isOpened"] = false,
                debugPoly =false,
            },
            [15] = {
                ['coords'] = vector3(160.71, -221.48, 54.28),
                ["length"] = 0.5,
                ["width"] = 1.5,
                ["heading"] = 340,
                ["minz"] = 51.68,
                ["maxz"] = 55.68,
                ["isOpened"] = false,
                debugPoly =false,
            },
            [16] = {
                ['coords'] = vector3(153.6, -234.17, 51.5),
                ["length"] = 1.2,
                ["width"] = 2,
                ["heading"] = 68,
                ["minz"] = 47.9,
                ["maxz"] =51.9,
                ["isOpened"] = false,
                debugPoly =false,
            },
            [17] = {
                ['coords'] = vector3(148.17, -234.79, 51.5),
                ["length"] = 1.1,
                ["width"] = 2,
                ["heading"] = 340,
                ["minz"] = 48.1,
                ["maxz"] =52.1,
                ["isOpened"] = false,
                debugPoly =false,
            },
            [18] = {
                ['coords'] = vector3(147.1, -237.77, 51.5),
                ["length"] = 1.1,
                ["width"] = 2,
                ["heading"] = 340,
                ["minz"] = 48.1,
                ["maxz"] =52.1,
                ["isOpened"] = false,
                debugPoly =false,
            },
            [20] = {
                ['coords'] = vector3(157.93, -231.32, 51.75),
                ["length"] = 1.3,
                ["width"] = 2.2,
                ["heading"] = 340,
                ["minz"] = 48.15,
                ["maxz"] =52.15,
                ["isOpened"] = false,
                debugPoly =false,
            },


        },
        Items = {
            'weed_whitewidow',
            'weed_skunk',
            'weed_purplehaze',
            'suppressor_attachment',
            'weed_ogkush',
            'weed_amnesia',
            'weed_ak47',
            'weed_whitewidow_seed',
            'weed_skunk_seed',
            'weed_purplehaze_seed',
            'weed_ogkush_seed',
            'weed_amnesia_seed',
            'weed_ak47_seed',
            'empty_weed_bag',
            'weed_nutrition',
            'rolling_paper',
            'weed_brick',
            'joint',
        },
        Quantity = {
            Min = 1,
            Max = 2,
        },
    },
    Ammo = { -- Config for all boxes containing ammunation as loot
        LootTime = math.random(1000, 4000),
        Locations = {
        },
        Items = {
        },
        Quantity = {
            Min = 5,
            Max = 10,
        },
    },
    Weapons = { -- Config for all boxes containing weapons as loot
        LootTime = math.random(1000, 4000),
        Locations = {
        },
        Items = {
        },
        Quantity = {
            Min = 1,
            Max = 2,
        },
    },
    Consumables = { -- Config for all boxes containing consumables as loot
        LootTime = math.random(1000, 4000),
        Locations = {
        },
        Items = {
        },
        Quantity = {
            Min = 1,
            Max = 3,
        },
    },
}
